<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref22.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Parsers.IDL.omni.TypeTranslator.add - Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Parsers.IDL.omni.TypeTranslator.add - Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name</h1><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.add" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.add</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#add" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#56">Synopsis/Parsers/IDL/omni.py:56</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.get" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.get</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#get" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#59">Synopsis/Parsers/IDL/omni.py:59</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.has_key" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.has_key</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#has_key" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#54">Synopsis/Parsers/IDL/omni.py:54</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.internalize" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.internalize</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#internalize" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#49">Synopsis/Parsers/IDL/omni.py:49</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.visitBaseType" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.visitBaseType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitBaseType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#62">Synopsis/Parsers/IDL/omni.py:62</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.visitDeclaredType" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.visitDeclaredType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitDeclaredType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#102">Synopsis/Parsers/IDL/omni.py:102</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.visitSequenceType" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.visitSequenceType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitSequenceType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#90">Synopsis/Parsers/IDL/omni.py:90</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.visitStringType" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.visitStringType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitStringType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#68">Synopsis/Parsers/IDL/omni.py:68</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.TypeTranslator.visitWStringType" /><h2 >Method Synopsis.Parsers.IDL.omni.TypeTranslator.visitWStringType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html#visitWStringType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#79">Synopsis/Parsers/IDL/omni.py:79</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/omni/TypeTranslator.html" >Synopsis.Parsers.IDL.omni.TypeTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.parse" /><h2 >Function Synopsis.Parsers.IDL.omni.parse</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni.html#parse" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#432">Synopsis/Parsers/IDL/omni.py:432</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/omni.html" >Synopsis.Parsers.IDL.omni</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.omni.strip_filename" /><h2 >Function Synopsis.Parsers.IDL.omni.strip_filename</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/omni.html#strip_filename" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/omni.py.html#17">Synopsis/Parsers/IDL/omni.py:17</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/omni.html" >Synopsis.Parsers.IDL.omni</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator" /><h2 >Class Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#164">Synopsis/Parsers/Python/ASGTranslator.py:164</a>: in module <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#173">Synopsis/Parsers/Python/ASGTranslator.py:173</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#174">Synopsis/Parsers/Python/ASGTranslator.py:174</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#file" >file</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#175">Synopsis/Parsers/Python/ASGTranslator.py:175</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#types" >types</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#176">Synopsis/Parsers/Python/ASGTranslator.py:176</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#attributes" >attributes</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#177">Synopsis/Parsers/Python/ASGTranslator.py:177</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#any_type" >any_type</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#178">Synopsis/Parsers/Python/ASGTranslator.py:178</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#docformat" >docformat</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#179">Synopsis/Parsers/Python/ASGTranslator.py:179</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#documentable" >documentable</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#180">Synopsis/Parsers/Python/ASGTranslator.py:180</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#name" >name</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#181">Synopsis/Parsers/Python/ASGTranslator.py:181</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#imports" >imports</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#167">Synopsis/Parsers/Python/ASGTranslator.py:167</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#184">Synopsis/Parsers/Python/ASGTranslator.py:184</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#process_file" >process_file</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#192">Synopsis/Parsers/Python/ASGTranslator.py:192</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#scope_name" >scope_name</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#195">Synopsis/Parsers/Python/ASGTranslator.py:195</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#default" >default</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#198">Synopsis/Parsers/Python/ASGTranslator.py:198</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#default_visit" >default_visit</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#201">Synopsis/Parsers/Python/ASGTranslator.py:201</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitDiscard" >visitDiscard</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#205">Synopsis/Parsers/Python/ASGTranslator.py:205</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitConst" >visitConst</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#212">Synopsis/Parsers/Python/ASGTranslator.py:212</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitStmt" >visitStmt</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#215">Synopsis/Parsers/Python/ASGTranslator.py:215</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssign" >visitAssign</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#234">Synopsis/Parsers/Python/ASGTranslator.py:234</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitModule" >visitModule</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#252">Synopsis/Parsers/Python/ASGTranslator.py:252</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitImport" >visitImport</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#257">Synopsis/Parsers/Python/ASGTranslator.py:257</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitFrom" >visitFrom</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#262">Synopsis/Parsers/Python/ASGTranslator.py:262</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssName" >visitAssName</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#287">Synopsis/Parsers/Python/ASGTranslator.py:287</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssTuple" >visitAssTuple</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#294">Synopsis/Parsers/Python/ASGTranslator.py:294</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssAttr" >visitAssAttr</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#307">Synopsis/Parsers/Python/ASGTranslator.py:307</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitGetattr" >visitGetattr</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#310">Synopsis/Parsers/Python/ASGTranslator.py:310</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitName" >visitName</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#317">Synopsis/Parsers/Python/ASGTranslator.py:317</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitFunction" >visitFunction</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#355">Synopsis/Parsers/Python/ASGTranslator.py:355</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#parse_parameter_list" >parse_parameter_list</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#384">Synopsis/Parsers/Python/ASGTranslator.py:384</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitClass" >visitClass</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#415">Synopsis/Parsers/Python/ASGTranslator.py:415</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitGetattr" >visitGetattr</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.__init__" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#167">Synopsis/Parsers/Python/ASGTranslator.py:167</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.default" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.default</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#default" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#195">Synopsis/Parsers/Python/ASGTranslator.py:195</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.default_visit" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.default_visit</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#default_visit" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#198">Synopsis/Parsers/Python/ASGTranslator.py:198</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.parse_parameter_list" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.parse_parameter_list</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#parse_parameter_list" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#355">Synopsis/Parsers/Python/ASGTranslator.py:355</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.process_file" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.process_file</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#process_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#184">Synopsis/Parsers/Python/ASGTranslator.py:184</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.scope_name" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.scope_name</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#scope_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#192">Synopsis/Parsers/Python/ASGTranslator.py:192</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssAttr" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssAttr</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssAttr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#294">Synopsis/Parsers/Python/ASGTranslator.py:294</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssName" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssName</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#262">Synopsis/Parsers/Python/ASGTranslator.py:262</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssTuple" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssTuple</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssTuple" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#287">Synopsis/Parsers/Python/ASGTranslator.py:287</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssign" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitAssign</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitAssign" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#215">Synopsis/Parsers/Python/ASGTranslator.py:215</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitClass" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitClass</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitClass" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#384">Synopsis/Parsers/Python/ASGTranslator.py:384</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitConst" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitConst</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitConst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#205">Synopsis/Parsers/Python/ASGTranslator.py:205</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitDiscard" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitDiscard</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitDiscard" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#201">Synopsis/Parsers/Python/ASGTranslator.py:201</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitFrom" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitFrom</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitFrom" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#257">Synopsis/Parsers/Python/ASGTranslator.py:257</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitFunction" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitFunction</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitFunction" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#317">Synopsis/Parsers/Python/ASGTranslator.py:317</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitGetattr" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitGetattr</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitGetattr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#307">Synopsis/Parsers/Python/ASGTranslator.py:307</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#415">Synopsis/Parsers/Python/ASGTranslator.py:415</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitImport" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitImport</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitImport" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#252">Synopsis/Parsers/Python/ASGTranslator.py:252</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitModule" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitModule</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitModule" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#234">Synopsis/Parsers/Python/ASGTranslator.py:234</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitName" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitName</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#310">Synopsis/Parsers/Python/ASGTranslator.py:310</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitStmt" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.ASGTranslator.visitStmt</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html#visitStmt" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#212">Synopsis/Parsers/Python/ASGTranslator.py:212</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator.ASGTranslator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser" /><h2 >Class Synopsis.Parsers.Python.ASGTranslator.TokenParser</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#17">Synopsis/Parsers/Python/ASGTranslator.py:17</a>: in module <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator.html" >Synopsis.Parsers.Python.ASGTranslator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#20">Synopsis/Parsers/Python/ASGTranslator.py:20</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#text" >text</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#21">Synopsis/Parsers/Python/ASGTranslator.py:21</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#lines" >lines</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#22">Synopsis/Parsers/Python/ASGTranslator.py:22</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#generator" >generator</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#19">Synopsis/Parsers/Python/ASGTranslator.py:19</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#25">Synopsis/Parsers/Python/ASGTranslator.py:25</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#__iter__" >__iter__</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#28">Synopsis/Parsers/Python/ASGTranslator.py:28</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#next" >next</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#33">Synopsis/Parsers/Python/ASGTranslator.py:33</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#goto_line" >goto_line</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#38">Synopsis/Parsers/Python/ASGTranslator.py:38</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#rhs" >rhs</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#61">Synopsis/Parsers/Python/ASGTranslator.py:61</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#closers" >closers</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#62">Synopsis/Parsers/Python/ASGTranslator.py:62</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#openers" >openers</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#63">Synopsis/Parsers/Python/ASGTranslator.py:63</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#del_ws_prefix" >del_ws_prefix</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#64">Synopsis/Parsers/Python/ASGTranslator.py:64</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#no_ws_suffix" >no_ws_suffix</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#66">Synopsis/Parsers/Python/ASGTranslator.py:66</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#note_token" >note_token</a></li><li ><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#96">Synopsis/Parsers/Python/ASGTranslator.py:96</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#function_parameters" >function_parameters</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.__init__" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#19">Synopsis/Parsers/Python/ASGTranslator.py:19</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.__iter__" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.__iter__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#__iter__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#25">Synopsis/Parsers/Python/ASGTranslator.py:25</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.function_parameters" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.function_parameters</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#function_parameters" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#96">Synopsis/Parsers/Python/ASGTranslator.py:96</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.goto_line" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.goto_line</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#goto_line" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#33">Synopsis/Parsers/Python/ASGTranslator.py:33</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.next" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.next</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#next" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#28">Synopsis/Parsers/Python/ASGTranslator.py:28</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.note_token" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.note_token</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#note_token" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#66">Synopsis/Parsers/Python/ASGTranslator.py:66</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.ASGTranslator.TokenParser.rhs" /><h2 >Method Synopsis.Parsers.Python.ASGTranslator.TokenParser.rhs</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html#rhs" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#38">Synopsis/Parsers/Python/ASGTranslator.py:38</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html" >Synopsis.Parsers.Python.ASGTranslator.TokenParser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.Python.Parser" /><h2 >Class Synopsis.Parsers.Python.Python.Parser</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#68">Synopsis/Parsers/Python/__init__.py:68</a>: in package <a href="../Scopes/Synopsis/Parsers/Python/Python.html" >Synopsis.Parsers.Python.Python</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#73">Synopsis/Parsers/Python/__init__.py:73</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#primary_file_only" >primary_file_only</a></li><li ><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#74">Synopsis/Parsers/Python/__init__.py:74</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#base_path" >base_path</a></li><li ><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#75">Synopsis/Parsers/Python/__init__.py:75</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#sxr_prefix" >sxr_prefix</a></li><li ><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#76">Synopsis/Parsers/Python/__init__.py:76</a>: Class attribute <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#default_docformat" >default_docformat</a></li><li ><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#78">Synopsis/Parsers/Python/__init__.py:78</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#process" >process</a></li><li ><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#123">Synopsis/Parsers/Python/__init__.py:123</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#process_file" >process_file</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.Python.Parser.process" /><h2 >Method Synopsis.Parsers.Python.Python.Parser.process</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#78">Synopsis/Parsers/Python/__init__.py:78</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html" >Synopsis.Parsers.Python.Python.Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.Python.Parser.process_file" /><h2 >Method Synopsis.Parsers.Python.Python.Parser.process_file</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html#process_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#123">Synopsis/Parsers/Python/__init__.py:123</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/Python/Parser.html" >Synopsis.Parsers.Python.Python.Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.Python.expand_package" /><h2 >Function Synopsis.Parsers.Python.Python.expand_package</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/Python.html#expand_package" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#19">Synopsis/Parsers/Python/__init__.py:19</a>: in package <a href="../Scopes/Synopsis/Parsers/Python/Python.html" >Synopsis.Parsers.Python.Python</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.Python.find_imported" /><h2 >Function Synopsis.Parsers.Python.Python.find_imported</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/Python.html#find_imported" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/__init__.py.html#34">Synopsis/Parsers/Python/__init__.py:34</a>: in package <a href="../Scopes/Synopsis/Parsers/Python/Python.html" >Synopsis.Parsers.Python.Python</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.LexerDebugger" /><h2 >Class Synopsis.Parsers.Python.SXRGenerator.LexerDebugger</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#25">Synopsis/Parsers/Python/SXRGenerator.py:25</a>: in module <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#29">Synopsis/Parsers/Python/SXRGenerator.py:29</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html#lexer" >lexer</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#27">Synopsis/Parsers/Python/SXRGenerator.py:27</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#31">Synopsis/Parsers/Python/SXRGenerator.py:31</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html#next" >next</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.LexerDebugger.__init__" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.LexerDebugger.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#27">Synopsis/Parsers/Python/SXRGenerator.py:27</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html" >Synopsis.Parsers.Python.SXRGenerator.LexerDebugger</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.LexerDebugger.next" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.LexerDebugger.next</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html#next" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#31">Synopsis/Parsers/Python/SXRGenerator.py:31</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/LexerDebugger.html" >Synopsis.Parsers.Python.SXRGenerator.LexerDebugger</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator" /><h2 >Class Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#51">Synopsis/Parsers/Python/SXRGenerator.py:51</a>: in module <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#57">Synopsis/Parsers/Python/SXRGenerator.py:57</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handlers" >handlers</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#82">Synopsis/Parsers/Python/SXRGenerator.py:82</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#col" >col</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#83">Synopsis/Parsers/Python/SXRGenerator.py:83</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#lineno" >lineno</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#84">Synopsis/Parsers/Python/SXRGenerator.py:84</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#parameters" >parameters</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#85">Synopsis/Parsers/Python/SXRGenerator.py:85</a>: Attribute <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#scopes" >scopes</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#54">Synopsis/Parsers/Python/SXRGenerator.py:54</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#87">Synopsis/Parsers/Python/SXRGenerator.py:87</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#process_file" >process_file</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#109">Synopsis/Parsers/Python/SXRGenerator.py:109</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle" >handle</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#120">Synopsis/Parsers/Python/SXRGenerator.py:120</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#default_handler" >default_handler</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#128">Synopsis/Parsers/Python/SXRGenerator.py:128</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#next_token" >next_token</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#143">Synopsis/Parsers/Python/SXRGenerator.py:143</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_token" >handle_token</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#152">Synopsis/Parsers/Python/SXRGenerator.py:152</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_name_as_xref" >handle_name_as_xref</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#168">Synopsis/Parsers/Python/SXRGenerator.py:168</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_tokens" >handle_tokens</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#175">Synopsis/Parsers/Python/SXRGenerator.py:175</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_end_marker" >handle_end_marker</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#176">Synopsis/Parsers/Python/SXRGenerator.py:176</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_newline" >handle_newline</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#181">Synopsis/Parsers/Python/SXRGenerator.py:181</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_indent" >handle_indent</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#186">Synopsis/Parsers/Python/SXRGenerator.py:186</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_dedent" >handle_dedent</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#191">Synopsis/Parsers/Python/SXRGenerator.py:191</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_string" >handle_string</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#196">Synopsis/Parsers/Python/SXRGenerator.py:196</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_function" >handle_function</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#227">Synopsis/Parsers/Python/SXRGenerator.py:227</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_parameters" >handle_parameters</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#256">Synopsis/Parsers/Python/SXRGenerator.py:256</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_class" >handle_class</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#279">Synopsis/Parsers/Python/SXRGenerator.py:279</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_name" >handle_name</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#284">Synopsis/Parsers/Python/SXRGenerator.py:284</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_expr_stmt" >handle_expr_stmt</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#289">Synopsis/Parsers/Python/SXRGenerator.py:289</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_dotted_name" >handle_dotted_name</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#298">Synopsis/Parsers/Python/SXRGenerator.py:298</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_op" >handle_op</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#301">Synopsis/Parsers/Python/SXRGenerator.py:301</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_power" >handle_power</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#322">Synopsis/Parsers/Python/SXRGenerator.py:322</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_encoding_decl" >handle_encoding_decl</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#327">Synopsis/Parsers/Python/SXRGenerator.py:327</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import_as_names" >handle_import_as_names</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#332">Synopsis/Parsers/Python/SXRGenerator.py:332</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_dotted_as_names" >handle_dotted_as_names</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#337">Synopsis/Parsers/Python/SXRGenerator.py:337</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import_from" >handle_import_from</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#345">Synopsis/Parsers/Python/SXRGenerator.py:345</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import_name" >handle_import_name</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#351">Synopsis/Parsers/Python/SXRGenerator.py:351</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import" >handle_import</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#357">Synopsis/Parsers/Python/SXRGenerator.py:357</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_decorator" >handle_decorator</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#360">Synopsis/Parsers/Python/SXRGenerator.py:360</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#print_token" >print_token</a></li><li ><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#388">Synopsis/Parsers/Python/SXRGenerator.py:388</a>: Method <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#print_newline" >print_newline</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.__init__" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#54">Synopsis/Parsers/Python/SXRGenerator.py:54</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.default_handler" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.default_handler</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#default_handler" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#120">Synopsis/Parsers/Python/SXRGenerator.py:120</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#109">Synopsis/Parsers/Python/SXRGenerator.py:109</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_class" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_class</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#256">Synopsis/Parsers/Python/SXRGenerator.py:256</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_decorator" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_decorator</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_decorator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#357">Synopsis/Parsers/Python/SXRGenerator.py:357</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dedent" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dedent</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_dedent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#186">Synopsis/Parsers/Python/SXRGenerator.py:186</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dotted_as_names" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dotted_as_names</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_dotted_as_names" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#332">Synopsis/Parsers/Python/SXRGenerator.py:332</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dotted_name" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_dotted_name</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_dotted_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#289">Synopsis/Parsers/Python/SXRGenerator.py:289</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_encoding_decl" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_encoding_decl</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_encoding_decl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#322">Synopsis/Parsers/Python/SXRGenerator.py:322</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_end_marker" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_end_marker</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_end_marker" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#175">Synopsis/Parsers/Python/SXRGenerator.py:175</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_expr_stmt" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_expr_stmt</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_expr_stmt" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#284">Synopsis/Parsers/Python/SXRGenerator.py:284</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_function" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_function</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#196">Synopsis/Parsers/Python/SXRGenerator.py:196</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#351">Synopsis/Parsers/Python/SXRGenerator.py:351</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_as_names" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_as_names</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import_as_names" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#327">Synopsis/Parsers/Python/SXRGenerator.py:327</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_from" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_from</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import_from" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#337">Synopsis/Parsers/Python/SXRGenerator.py:337</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_name" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_import_name</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_import_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#345">Synopsis/Parsers/Python/SXRGenerator.py:345</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_indent" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_indent</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_indent" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#181">Synopsis/Parsers/Python/SXRGenerator.py:181</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name" /><h2 >Method Synopsis.Parsers.Python.SXRGenerator.SXRGenerator.handle_name</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html#handle_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/Python/SXRGenerator.py.html#279">Synopsis/Parsers/Python/SXRGenerator.py:279</a>: in class <a href="../Scopes/Synopsis/Parsers/Python/SXRGenerator/SXRGenerator.html" >Synopsis.Parsers.Python.SXRGenerator.SXRGenerator</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
